• 如果您觉得本站非常有看点,那么赶紧使用Ctrl+D 收藏吧

在TransportManager.php中找不到Laravel 5.4 Class’GuzzleHttp \ Client’(行185)

php 来源:Mena 4次浏览

让我首先解释我试图实现的目标 1.用户提交表单申请成员资格,应用程序向用户发送邮件确认用户请求 2.管理员批准或拒绝请求,应用程序发送邮件给用户通知他们在TransportManager.php中找不到Laravel 5.4 Class’GuzzleHttp Client’(行185)

使用mailtrap,我已能够使本地工作。移动到生产,我转而使用Sparkpost按照sending mail with sparkpost tutorial 步骤,但我不断收到错误

类“GuzzleHttp \客户端”在TransportManager.php未找到(线185)

我可以看到运行作曲家供应商文件夹中的文件夹狂饮需要guzzlehttp /狂饮

"require": { 
    "php": ">=5.6.4", 
    "guzzlehttp/guzzle": "^6.3", 
    "laravel/framework": "5.4.*", 
    "laravel/tinker": "~1.0" 
}, 

我只是不明白,为什么我得到这个错误,或者如何解决它。需要帮助解决这个问题

===========解决方案如下:

你可能想要确保你第一次有一个require './vendor/autoload.php包括(这应该是在Laravel默认情况下)。

如果autoload.php已经包括你还是收到此错误,然后根据这个申请错误 – https://github.com/SparkPost/php-sparkpost/issues/37,则需要手动运行

php composer.phar require guzzlehttp/guzzle


版权声明:本文转自网络文章,转载此文章仅为分享知识,如有侵权,请联系管理员进行删除。
喜欢 (0)